%global modname portalocker

Name:           python-%{modname}
Version:        0.6.1
Release:        2%{?dist}
Summary:        Library to provide an easy API to file locking

License:        Python
URL:            https://github.com/WoLpH/portalocker
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%package doc
Summary:        Documentation for %{name}
BuildRequires:  python-sphinx

%description doc
%{summary}.

%prep
%autosetup -n %{modname}-%{version}

sed -i -e '/--/d' pytest.ini

%build
%py2_build
%py3_build
sphinx-build -b html docs html

%install
%py2_install
%py3_install
rm -f html/.buildinfo

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE
%doc CHANGELOG README.rst
%{python2_sitelib}/%{modname}*

%files -n python3-%{modname}
%license LICENSE
%doc CHANGELOG README.rst
%{python3_sitelib}/%{modname}*

%files doc
%doc html

%changelog
* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-2
- Rebuild for Python 3.6

* Tue Sep 06 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Jun 16 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.5.6-1
- Update to 0.5.6
- Add doc subpkg

* Sun Dec 06 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.4-1.gitb0de666
- Initial package
